Skip to main content
GET
/
extensions
/
{id_or_name}
/
metadata
JavaScript
import Kernel from '@onkernel/sdk';

const client = new Kernel({
  apiKey: process.env['KERNEL_API_KEY'], // This is the default and can be omitted
});

const extension = await client.extensions.get('id_or_name');

console.log(extension.id);
{
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "size_bytes": 123,
  "name": "<string>",
  "last_used_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id_or_name
string
required

Extension ID or name

Response

Extension metadata

A browser extension uploaded to Kernel.

id
string
required

Unique identifier for the extension

created_at
string<date-time>
required

Timestamp when the extension was created

size_bytes
integer
required

Size of the extension archive in bytes

name
string | null

Optional, easier-to-reference name for the extension. Must be unique within the project.

last_used_at
string<date-time> | null

Timestamp when the extension was last used